Package org.w3c.tidy

# Class StyleProp

java.lang.Object
org.w3c.tidy.StyleProp

public class StyleProp extends Object
Linked list of style properties.

Version:
  $Revision: 587 $ ($Author: fgiust $)
Author:
  Dave Raggett dsr@w3.org , Andy Quick ac.quick@sympatico.ca (translation to Java), Fabrizio Giustina

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`name`
Style name.
`protected StyleProp`
`next`
Next linked style property.
`protected String`
`value`
Style value.

## Constructor Summary

Constructors
Constructor
Description
`StyleProp(String name, String value, StyleProp next)`
Instantiates a new style property.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### name

protected String name
Style name.

### value

protected String value
Style value.

### next

protected StyleProp next
Next linked style property.

## Constructor Details

### StyleProp

public StyleProp(String name, String value, StyleProp next)
Instantiates a new style property.

Parameters:
  `name` - Style name
  `value` - Style value
  `next` - Next linked style property. Can be null.